- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Host::CFPUInformation Class Reference

List of all members.

## Detailed Description

Provides info about the host system FPU architecture.

Date:
  21/04/2006

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CFPUInformation.hpp,v 1.4 2007/02/08 21:06:44 paul Exp

Definition at line 37 of file CFPUInformation.hpp.

## Static Public Member Functions

- static bool CPUHasHyperThreading ()
- static bool CPUHasMMX ()
- static bool CPUHasSSE ()
- static bool CPUHasSSE2 ()
- static bool CPUHasSSE3 ()
- static void dumpFPUInfoToFile (CTextStream &stream)
- static void dumpFPUInfoToFile (CSystemString &path)
- static void initialiseCPUInformation ()

## Static Protected Attributes

- static bool CFPU_INFORMATION_HAS_HT
- static bool CFPU_INFORMATION_HAS_MMX
- static bool CFPU_INFORMATION_HAS_SSE
- static bool CFPU_INFORMATION_HAS_SSE2
- static bool CFPU_INFORMATION_HAS_SSE3

## Member Function Documentation

static bool Exponent::Host::CFPUInformation::CPUHasHyperThreading | ( |  | ) | `[inline, static]`

Does the CPU have HT

Return values:

  | bool | True if the CPU has HT, false otherwise

Definition at line 92 of file CFPUInformation.hpp.

References CFPU_INFORMATION_HAS_HT.

static bool Exponent::Host::CFPUInformation::CPUHasMMX | ( |  | ) | `[inline, static]`

Does the CPU have MMX

Return values:

  | bool | True if the CPU has MMX, false otherwise

Definition at line 68 of file CFPUInformation.hpp.

References CFPU_INFORMATION_HAS_MMX.

static bool Exponent::Host::CFPUInformation::CPUHasSSE | ( |  | ) | `[inline, static]`

Does the CPU have SSE

Return values:

  | bool | True if the CPU has SSE, false otherwise

Definition at line 74 of file CFPUInformation.hpp.

References CFPU_INFORMATION_HAS_SSE.

static bool Exponent::Host::CFPUInformation::CPUHasSSE2 | ( |  | ) | `[inline, static]`

Does the CPU have SSE2

Return values:

  | bool | True if the CPU has SSE2, false otherwise

Definition at line 80 of file CFPUInformation.hpp.

References CFPU_INFORMATION_HAS_SSE2.

static bool Exponent::Host::CFPUInformation::CPUHasSSE3 | ( |  | ) | `[inline, static]`

Does the CPU have SSE3

Return values:

  | bool | True if the CPU has SSE3, false otherwise

Definition at line 86 of file CFPUInformation.hpp.

References CFPU_INFORMATION_HAS_SSE3.

static void Exponent::Host::CFPUInformation::dumpFPUInfoToFile | ( | CTextStream & | stream | ) | `[static]`

Output the system logs to the the supplied stream

Parameters:

  | stream | The text stream

static void Exponent::Host::CFPUInformation::dumpFPUInfoToFile | ( | CSystemString & | path | ) | `[static]`

Dump all information to a text file

Parameters:

  | path | The path to write the data to

static void Exponent::Host::CFPUInformation::initialiseCPUInformation | ( |  | ) | `[static]`

Initialise the CPU information

## Member Data Documentation

bool Exponent::Host::CFPUInformation::CFPU_INFORMATION_HAS_HT`[static, protected]`

Does the system support hyperthreading

Definition at line 104 of file CFPUInformation.hpp.

Referenced by CPUHasHyperThreading().

bool Exponent::Host::CFPUInformation::CFPU_INFORMATION_HAS_MMX`[static, protected]`

Does the system support MMX

Definition at line 100 of file CFPUInformation.hpp.

Referenced by CPUHasMMX().

bool Exponent::Host::CFPUInformation::CFPU_INFORMATION_HAS_SSE`[static, protected]`

Does the system support SSE

Definition at line 101 of file CFPUInformation.hpp.

Referenced by CPUHasSSE().

bool Exponent::Host::CFPUInformation::CFPU_INFORMATION_HAS_SSE2`[static, protected]`

Does the system support SSE2

Definition at line 102 of file CFPUInformation.hpp.

Referenced by CPUHasSSE2().

bool Exponent::Host::CFPUInformation::CFPU_INFORMATION_HAS_SSE3`[static, protected]`

Does the system support SSE3

Definition at line 103 of file CFPUInformation.hpp.

Referenced by CPUHasSSE3().